IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/52
Addresses2^76
/64 networks4,096
- Network
2c19:dd:c25c:2000::/52- First address
2c19:dd:c25c:2000::- Last address
2c19:dd:c25c:2fff:ffff:ffff:ffff:ffff- Addresses
- 75,557,863,725,914,323,419,136 (2^76)
- /64 networks (LANs)
- 4,096
- Full form
2c19:00dd:c25c:2000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
2.c.5.2.c.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:c25c:2000::/52 makes 256 subnets of /60.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:c25c:2000::/60 | 2c19:dd:c25c:200f:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:c25c:2010::/60 | 2c19:dd:c25c:201f:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:c25c:2020::/60 | 2c19:dd:c25c:202f:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:c25c:2030::/60 | 2c19:dd:c25c:203f:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:c25c:2040::/60 | 2c19:dd:c25c:204f:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:c25c:2050::/60 | 2c19:dd:c25c:205f:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:c25c:2060::/60 | 2c19:dd:c25c:206f:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:c25c:2070::/60 | 2c19:dd:c25c:207f:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:c25c:2080::/60 | 2c19:dd:c25c:208f:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:c25c:2090::/60 | 2c19:dd:c25c:209f:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:c25c:20a0::/60 | 2c19:dd:c25c:20af:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:c25c:20b0::/60 | 2c19:dd:c25c:20bf:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:c25c:20c0::/60 | 2c19:dd:c25c:20cf:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:c25c:20d0::/60 | 2c19:dd:c25c:20df:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:c25c:20e0::/60 | 2c19:dd:c25c:20ef:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:c25c:20f0::/60 | 2c19:dd:c25c:20ff:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:c25c:2100::/60 | 2c19:dd:c25c:210f:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:c25c:2110::/60 | 2c19:dd:c25c:211f:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:c25c:2120::/60 | 2c19:dd:c25c:212f:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:c25c:2130::/60 | 2c19:dd:c25c:213f:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:c25c:2140::/60 | 2c19:dd:c25c:214f:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:c25c:2150::/60 | 2c19:dd:c25c:215f:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:c25c:2160::/60 | 2c19:dd:c25c:216f:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:c25c:2170::/60 | 2c19:dd:c25c:217f:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:c25c:2180::/60 | 2c19:dd:c25c:218f:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:c25c:2190::/60 | 2c19:dd:c25c:219f:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:c25c:21a0::/60 | 2c19:dd:c25c:21af:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:c25c:21b0::/60 | 2c19:dd:c25c:21bf:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:c25c:21c0::/60 | 2c19:dd:c25c:21cf:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:c25c:21d0::/60 | 2c19:dd:c25c:21df:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:c25c:21e0::/60 | 2c19:dd:c25c:21ef:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:c25c:21f0::/60 | 2c19:dd:c25c:21ff:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:c25c:2200::/60 | 2c19:dd:c25c:220f:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:c25c:2210::/60 | 2c19:dd:c25c:221f:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:c25c:2220::/60 | 2c19:dd:c25c:222f:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:c25c:2230::/60 | 2c19:dd:c25c:223f:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:c25c:2240::/60 | 2c19:dd:c25c:224f:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:c25c:2250::/60 | 2c19:dd:c25c:225f:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:c25c:2260::/60 | 2c19:dd:c25c:226f:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:c25c:2270::/60 | 2c19:dd:c25c:227f:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:c25c:2280::/60 | 2c19:dd:c25c:228f:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:c25c:2290::/60 | 2c19:dd:c25c:229f:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:c25c:22a0::/60 | 2c19:dd:c25c:22af:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:c25c:22b0::/60 | 2c19:dd:c25c:22bf:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:c25c:22c0::/60 | 2c19:dd:c25c:22cf:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:c25c:22d0::/60 | 2c19:dd:c25c:22df:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:c25c:22e0::/60 | 2c19:dd:c25c:22ef:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:c25c:22f0::/60 | 2c19:dd:c25c:22ff:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:c25c:2300::/60 | 2c19:dd:c25c:230f:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:c25c:2310::/60 | 2c19:dd:c25c:231f:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:c25c:2320::/60 | 2c19:dd:c25c:232f:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:c25c:2330::/60 | 2c19:dd:c25c:233f:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:c25c:2340::/60 | 2c19:dd:c25c:234f:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:c25c:2350::/60 | 2c19:dd:c25c:235f:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:c25c:2360::/60 | 2c19:dd:c25c:236f:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:c25c:2370::/60 | 2c19:dd:c25c:237f:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:c25c:2380::/60 | 2c19:dd:c25c:238f:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:c25c:2390::/60 | 2c19:dd:c25c:239f:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:c25c:23a0::/60 | 2c19:dd:c25c:23af:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:c25c:23b0::/60 | 2c19:dd:c25c:23bf:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:c25c:23c0::/60 | 2c19:dd:c25c:23cf:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:c25c:23d0::/60 | 2c19:dd:c25c:23df:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:c25c:23e0::/60 | 2c19:dd:c25c:23ef:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:c25c:23f0::/60 | 2c19:dd:c25c:23ff:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:c25c:2400::/60 | 2c19:dd:c25c:240f:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:c25c:2410::/60 | 2c19:dd:c25c:241f:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:c25c:2420::/60 | 2c19:dd:c25c:242f:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:c25c:2430::/60 | 2c19:dd:c25c:243f:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:c25c:2440::/60 | 2c19:dd:c25c:244f:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:c25c:2450::/60 | 2c19:dd:c25c:245f:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:c25c:2460::/60 | 2c19:dd:c25c:246f:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:c25c:2470::/60 | 2c19:dd:c25c:247f:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:c25c:2480::/60 | 2c19:dd:c25c:248f:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:c25c:2490::/60 | 2c19:dd:c25c:249f:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:c25c:24a0::/60 | 2c19:dd:c25c:24af:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:c25c:24b0::/60 | 2c19:dd:c25c:24bf:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:c25c:24c0::/60 | 2c19:dd:c25c:24cf:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:c25c:24d0::/60 | 2c19:dd:c25c:24df:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:c25c:24e0::/60 | 2c19:dd:c25c:24ef:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:c25c:24f0::/60 | 2c19:dd:c25c:24ff:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:c25c:2500::/60 | 2c19:dd:c25c:250f:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:c25c:2510::/60 | 2c19:dd:c25c:251f:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:c25c:2520::/60 | 2c19:dd:c25c:252f:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:c25c:2530::/60 | 2c19:dd:c25c:253f:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:c25c:2540::/60 | 2c19:dd:c25c:254f:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:c25c:2550::/60 | 2c19:dd:c25c:255f:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:c25c:2560::/60 | 2c19:dd:c25c:256f:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:c25c:2570::/60 | 2c19:dd:c25c:257f:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:c25c:2580::/60 | 2c19:dd:c25c:258f:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:c25c:2590::/60 | 2c19:dd:c25c:259f:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:c25c:25a0::/60 | 2c19:dd:c25c:25af:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:c25c:25b0::/60 | 2c19:dd:c25c:25bf:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:c25c:25c0::/60 | 2c19:dd:c25c:25cf:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:c25c:25d0::/60 | 2c19:dd:c25c:25df:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:c25c:25e0::/60 | 2c19:dd:c25c:25ef:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:c25c:25f0::/60 | 2c19:dd:c25c:25ff:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:c25c:2600::/60 | 2c19:dd:c25c:260f:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:c25c:2610::/60 | 2c19:dd:c25c:261f:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:c25c:2620::/60 | 2c19:dd:c25c:262f:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:c25c:2630::/60 | 2c19:dd:c25c:263f:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:c25c:2640::/60 | 2c19:dd:c25c:264f:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:c25c:2650::/60 | 2c19:dd:c25c:265f:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:c25c:2660::/60 | 2c19:dd:c25c:266f:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:c25c:2670::/60 | 2c19:dd:c25c:267f:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:c25c:2680::/60 | 2c19:dd:c25c:268f:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:c25c:2690::/60 | 2c19:dd:c25c:269f:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:c25c:26a0::/60 | 2c19:dd:c25c:26af:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:c25c:26b0::/60 | 2c19:dd:c25c:26bf:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:c25c:26c0::/60 | 2c19:dd:c25c:26cf:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:c25c:26d0::/60 | 2c19:dd:c25c:26df:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:c25c:26e0::/60 | 2c19:dd:c25c:26ef:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:c25c:26f0::/60 | 2c19:dd:c25c:26ff:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:c25c:2700::/60 | 2c19:dd:c25c:270f:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:c25c:2710::/60 | 2c19:dd:c25c:271f:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:c25c:2720::/60 | 2c19:dd:c25c:272f:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:c25c:2730::/60 | 2c19:dd:c25c:273f:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:c25c:2740::/60 | 2c19:dd:c25c:274f:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:c25c:2750::/60 | 2c19:dd:c25c:275f:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:c25c:2760::/60 | 2c19:dd:c25c:276f:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:c25c:2770::/60 | 2c19:dd:c25c:277f:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:c25c:2780::/60 | 2c19:dd:c25c:278f:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:c25c:2790::/60 | 2c19:dd:c25c:279f:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:c25c:27a0::/60 | 2c19:dd:c25c:27af:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:c25c:27b0::/60 | 2c19:dd:c25c:27bf:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:c25c:27c0::/60 | 2c19:dd:c25c:27cf:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:c25c:27d0::/60 | 2c19:dd:c25c:27df:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:c25c:27e0::/60 | 2c19:dd:c25c:27ef:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:c25c:27f0::/60 | 2c19:dd:c25c:27ff:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:c25c:2800::/60 | 2c19:dd:c25c:280f:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:c25c:2810::/60 | 2c19:dd:c25c:281f:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:c25c:2820::/60 | 2c19:dd:c25c:282f:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:c25c:2830::/60 | 2c19:dd:c25c:283f:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:c25c:2840::/60 | 2c19:dd:c25c:284f:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:c25c:2850::/60 | 2c19:dd:c25c:285f:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:c25c:2860::/60 | 2c19:dd:c25c:286f:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:c25c:2870::/60 | 2c19:dd:c25c:287f:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:c25c:2880::/60 | 2c19:dd:c25c:288f:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:c25c:2890::/60 | 2c19:dd:c25c:289f:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:c25c:28a0::/60 | 2c19:dd:c25c:28af:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:c25c:28b0::/60 | 2c19:dd:c25c:28bf:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:c25c:28c0::/60 | 2c19:dd:c25c:28cf:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:c25c:28d0::/60 | 2c19:dd:c25c:28df:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:c25c:28e0::/60 | 2c19:dd:c25c:28ef:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:c25c:28f0::/60 | 2c19:dd:c25c:28ff:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:c25c:2900::/60 | 2c19:dd:c25c:290f:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:c25c:2910::/60 | 2c19:dd:c25c:291f:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:c25c:2920::/60 | 2c19:dd:c25c:292f:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:c25c:2930::/60 | 2c19:dd:c25c:293f:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:c25c:2940::/60 | 2c19:dd:c25c:294f:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:c25c:2950::/60 | 2c19:dd:c25c:295f:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:c25c:2960::/60 | 2c19:dd:c25c:296f:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:c25c:2970::/60 | 2c19:dd:c25c:297f:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:c25c:2980::/60 | 2c19:dd:c25c:298f:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:c25c:2990::/60 | 2c19:dd:c25c:299f:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:c25c:29a0::/60 | 2c19:dd:c25c:29af:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:c25c:29b0::/60 | 2c19:dd:c25c:29bf:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:c25c:29c0::/60 | 2c19:dd:c25c:29cf:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:c25c:29d0::/60 | 2c19:dd:c25c:29df:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:c25c:29e0::/60 | 2c19:dd:c25c:29ef:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:c25c:29f0::/60 | 2c19:dd:c25c:29ff:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:c25c:2a00::/60 | 2c19:dd:c25c:2a0f:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:c25c:2a10::/60 | 2c19:dd:c25c:2a1f:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:c25c:2a20::/60 | 2c19:dd:c25c:2a2f:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:c25c:2a30::/60 | 2c19:dd:c25c:2a3f:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:c25c:2a40::/60 | 2c19:dd:c25c:2a4f:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:c25c:2a50::/60 | 2c19:dd:c25c:2a5f:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:c25c:2a60::/60 | 2c19:dd:c25c:2a6f:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:c25c:2a70::/60 | 2c19:dd:c25c:2a7f:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:c25c:2a80::/60 | 2c19:dd:c25c:2a8f:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:c25c:2a90::/60 | 2c19:dd:c25c:2a9f:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:c25c:2aa0::/60 | 2c19:dd:c25c:2aaf:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:c25c:2ab0::/60 | 2c19:dd:c25c:2abf:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:c25c:2ac0::/60 | 2c19:dd:c25c:2acf:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:c25c:2ad0::/60 | 2c19:dd:c25c:2adf:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:c25c:2ae0::/60 | 2c19:dd:c25c:2aef:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:c25c:2af0::/60 | 2c19:dd:c25c:2aff:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:c25c:2b00::/60 | 2c19:dd:c25c:2b0f:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:c25c:2b10::/60 | 2c19:dd:c25c:2b1f:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:c25c:2b20::/60 | 2c19:dd:c25c:2b2f:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:c25c:2b30::/60 | 2c19:dd:c25c:2b3f:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:c25c:2b40::/60 | 2c19:dd:c25c:2b4f:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:c25c:2b50::/60 | 2c19:dd:c25c:2b5f:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:c25c:2b60::/60 | 2c19:dd:c25c:2b6f:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:c25c:2b70::/60 | 2c19:dd:c25c:2b7f:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:c25c:2b80::/60 | 2c19:dd:c25c:2b8f:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:c25c:2b90::/60 | 2c19:dd:c25c:2b9f:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:c25c:2ba0::/60 | 2c19:dd:c25c:2baf:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:c25c:2bb0::/60 | 2c19:dd:c25c:2bbf:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:c25c:2bc0::/60 | 2c19:dd:c25c:2bcf:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:c25c:2bd0::/60 | 2c19:dd:c25c:2bdf:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:c25c:2be0::/60 | 2c19:dd:c25c:2bef:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:c25c:2bf0::/60 | 2c19:dd:c25c:2bff:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:c25c:2c00::/60 | 2c19:dd:c25c:2c0f:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:c25c:2c10::/60 | 2c19:dd:c25c:2c1f:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:c25c:2c20::/60 | 2c19:dd:c25c:2c2f:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:c25c:2c30::/60 | 2c19:dd:c25c:2c3f:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:c25c:2c40::/60 | 2c19:dd:c25c:2c4f:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:c25c:2c50::/60 | 2c19:dd:c25c:2c5f:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:c25c:2c60::/60 | 2c19:dd:c25c:2c6f:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:c25c:2c70::/60 | 2c19:dd:c25c:2c7f:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:c25c:2c80::/60 | 2c19:dd:c25c:2c8f:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:c25c:2c90::/60 | 2c19:dd:c25c:2c9f:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:c25c:2ca0::/60 | 2c19:dd:c25c:2caf:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:c25c:2cb0::/60 | 2c19:dd:c25c:2cbf:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:c25c:2cc0::/60 | 2c19:dd:c25c:2ccf:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:c25c:2cd0::/60 | 2c19:dd:c25c:2cdf:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:c25c:2ce0::/60 | 2c19:dd:c25c:2cef:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:c25c:2cf0::/60 | 2c19:dd:c25c:2cff:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:c25c:2d00::/60 | 2c19:dd:c25c:2d0f:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:c25c:2d10::/60 | 2c19:dd:c25c:2d1f:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:c25c:2d20::/60 | 2c19:dd:c25c:2d2f:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:c25c:2d30::/60 | 2c19:dd:c25c:2d3f:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:c25c:2d40::/60 | 2c19:dd:c25c:2d4f:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:c25c:2d50::/60 | 2c19:dd:c25c:2d5f:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:c25c:2d60::/60 | 2c19:dd:c25c:2d6f:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:c25c:2d70::/60 | 2c19:dd:c25c:2d7f:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:c25c:2d80::/60 | 2c19:dd:c25c:2d8f:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:c25c:2d90::/60 | 2c19:dd:c25c:2d9f:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:c25c:2da0::/60 | 2c19:dd:c25c:2daf:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:c25c:2db0::/60 | 2c19:dd:c25c:2dbf:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:c25c:2dc0::/60 | 2c19:dd:c25c:2dcf:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:c25c:2dd0::/60 | 2c19:dd:c25c:2ddf:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:c25c:2de0::/60 | 2c19:dd:c25c:2def:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:c25c:2df0::/60 | 2c19:dd:c25c:2dff:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:c25c:2e00::/60 | 2c19:dd:c25c:2e0f:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:c25c:2e10::/60 | 2c19:dd:c25c:2e1f:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:c25c:2e20::/60 | 2c19:dd:c25c:2e2f:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:c25c:2e30::/60 | 2c19:dd:c25c:2e3f:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:c25c:2e40::/60 | 2c19:dd:c25c:2e4f:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:c25c:2e50::/60 | 2c19:dd:c25c:2e5f:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:c25c:2e60::/60 | 2c19:dd:c25c:2e6f:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:c25c:2e70::/60 | 2c19:dd:c25c:2e7f:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:c25c:2e80::/60 | 2c19:dd:c25c:2e8f:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:c25c:2e90::/60 | 2c19:dd:c25c:2e9f:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:c25c:2ea0::/60 | 2c19:dd:c25c:2eaf:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:c25c:2eb0::/60 | 2c19:dd:c25c:2ebf:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:c25c:2ec0::/60 | 2c19:dd:c25c:2ecf:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:c25c:2ed0::/60 | 2c19:dd:c25c:2edf:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:c25c:2ee0::/60 | 2c19:dd:c25c:2eef:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:c25c:2ef0::/60 | 2c19:dd:c25c:2eff:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:c25c:2f00::/60 | 2c19:dd:c25c:2f0f:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:c25c:2f10::/60 | 2c19:dd:c25c:2f1f:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:c25c:2f20::/60 | 2c19:dd:c25c:2f2f:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:c25c:2f30::/60 | 2c19:dd:c25c:2f3f:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:c25c:2f40::/60 | 2c19:dd:c25c:2f4f:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:c25c:2f50::/60 | 2c19:dd:c25c:2f5f:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:c25c:2f60::/60 | 2c19:dd:c25c:2f6f:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:c25c:2f70::/60 | 2c19:dd:c25c:2f7f:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:c25c:2f80::/60 | 2c19:dd:c25c:2f8f:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:c25c:2f90::/60 | 2c19:dd:c25c:2f9f:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:c25c:2fa0::/60 | 2c19:dd:c25c:2faf:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:c25c:2fb0::/60 | 2c19:dd:c25c:2fbf:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:c25c:2fc0::/60 | 2c19:dd:c25c:2fcf:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:c25c:2fd0::/60 | 2c19:dd:c25c:2fdf:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:c25c:2fe0::/60 | 2c19:dd:c25c:2fef:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:c25c:2ff0::/60 | 2c19:dd:c25c:2fff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |